Get Trip Invoice PDF
GEThttps://api.uber.com/v1/business/trips/{trip_id}/invoice_urls⚠️ Deprecation Notice: ⚠️ This API is deprecated and will reach end of support on January 31, 2027. Do not use this API for any new integrations. Any existing integrations must migrate to the Get Order Receipt API to fetch receipt PDF before this date.
¶ Use Case
The Business Invoice endpoint allows you to return an invoice pdf for the trip, if invoices are supported in that country (see Availability below).
¶ Authorization
OAuth 2.0 bearer token with the business.receipts scope.
¶ Path Parameters
| Name | Type | Description |
|---|---|---|
trip_id |
string |
Unique identifier representing a trip. |
¶ Example Request
curl -H 'Authorization: Bearer <TOKEN>' \
-H 'Accept-Language: en_US' \
-H 'Content-Type: application/json' \
'https://api.uber.com/v1/business/trips/<TRIP_ID>/invoice_urls'
¶ Response
Status-Code: 200 OK
{
"trip_uuid": "5152dcc5-b88d-4754-8b33-975f4067c943",
"organization_uuid":"d715e84c-72ea-490e-a060-823f14532632",
"invoices": [{
"invoice_number": "PEDXEVLJ-03-2017-0000562",
"invoice_date":"Sat, 25 Feb 2017 19:53:41 UTC",
"resource_url": "https://<url>"
}]
}
| Name | Type | Description |
|---|---|---|
trip_uuid |
string |
The unique UUID of the trip. |
organization_uuid |
string |
Unique identifier of the organization. |
invoices |
array |
Array containing invoices for the trip. |
invoices[].invoice_number |
string |
The unique invoice identifier for the invoice. |
invoices[].invoice_date |
string |
The UTC timestamp for the date the invoice was generated. |
invoices[].resource_url |
string |
The GET URL for the invoice generated. |
¶ Availability
Invoices are generated only for the following country codes:
{
'NLD',
'JPN',
'FRA',
'IND',
'AUS',
'CAN',
'AUT',
'BEL',
'DEU',
'NZL',
'SGP',
'KOR',
'ESP',
'SWE',
'CHE',
'GBR',
'CZE',
'PRT',
'ITA',
'FIN',
'NOR',
'DNK',
'GRC',
'ZAF',
'HRV',
'ROU',
'IRL',
'POL',
'EST',
'LTU',
'HUN',
'SVK',
'GTM',
'MEX'
}
¶ Error Responses
| HTTP Status | Code | Description |
|---|---|---|
| 400 | bad_request |
Request specific message |
| 401 | not_authenticated |
Request made without authentication |
| 403 | not_authorized |
Caller not authorized to make this request |
| 404 | not_found |
Entity being fetched not found |
| 429 | rate_limited |
Rate limit exceeded |
| 500 | server_error |
We have experienced a problem |